
QGIS Application - Bug report #8664

qgis dont load SVG symbol from they are in more than one subfolder in name attribute of a style

2013-09-25 02:57 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Symbology

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17393

Description

Hi.

I found this really bad boring bug.

If a put my svg symbol in a sub-sub-folder of an external path 

(please notice the proof of subfolder should be almost two level to show the bug)

I see thay in the svg dialog.

I choose a symbol in a sub-sub-folder.

After this.

I save it on a style.

As I can see the svg path in the qml file is saved like this:

&lt;layer pass="0" class="SvgMarker" locked="0"&gt;

          &lt;prop k="angle" v="0"/&gt;

          &lt;prop k="fill" v="#000000"/&gt;

          &lt;prop k="name" v="/sub-folder-1/sub-folder-1/3100-9.svg"/&gt;

          &lt;prop k="offset" v="0,0"/&gt;

          &lt;prop k="offset_unit" v="MM"/&gt;

          &lt;prop k="outline" v="#000000"/&gt;

          &lt;prop k="outline-width" v="1"/&gt;

          &lt;prop k="outline_width_unit" v="MM"/&gt;

          &lt;prop k="size" v="4"/&gt;

          &lt;prop k="size_unit" v="MM"/&gt;

        &lt;/layer&gt;

But when I go to reload the style It don't find the SVG.

After some other test.

I can see that qgis undertand only one level subfolder when it load the stye.

So if the SVG symbol is in a relative path like this:

          <prop k="name" v="/sub-folder-1/3100-9.svg"/>

is correctly load

but if the svg symbol is in a relative path like this other:

          <prop k="name" v="/sub-folder-1/sub-folder-1/3100-9.svg"/>

it is not load.

Please notice that both are generate choosing the svg from svg diloag and saving they as style.
Associated revisions

Revision 0eed3dcc - 2014-05-26 12:40 PM - Radim Blazek

svg search path fix, fixes #8664

History

#1 - 2013-12-30 02:21 AM - aperi2007 -

Hi,

Is confirmed this issue ?

#2 - 2014-05-26 03:41 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"0eed3dccd9937956aa7829c053664ab0de7a844f".

#3 - 2014-05-26 03:58 AM - Radim Blazek

- Assignee set to Radim Blazek

Ticket fixed with funding from Regione Toscana-SITA (CIG:ZB10C90E5A).
